[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;

[Command]
name = "TS"
command = ~D, DF, F, x+y
time = 20
buffer.time = 3

[Command]
name = "SP"
command = ~D, DB, B, a+b
time = 20
buffer.time = 3

[Command]
name = "ID"
command = ~D, DB, B, x+y
time = 20
buffer.time = 3
;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x
buffer.time = 3

[Command]
name = "upper_y"
command = ~F, D, DF, y
buffer.time = 3

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y
buffer.time = 3

[Command]
name = "BF_x"
command = ~10$B, F, x
time = 20
buffer.time = 3

[Command]
name = "DD_x"
command = ~D, D, x
buffer.time = 3

[Command]
name = "QCF_x"
command = ~D, DF, F, x
buffer.time = 3

[Command]
name = "QCF_y"
command = ~D, DF, F, y
buffer.time = 3

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y
buffer.time = 3

[Command]
name = "QCB_x"
command = ~D, DB, B, x
buffer.time = 3

[Command]
name = "QCB_y"
command = ~D, DB, B, y
buffer.time = 3

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y
buffer.time = 3

[Command]
name = "QCF_a"
command = ~D, DF, F, a
buffer.time = 3

[Command]
name = "FF_ab"
command = F, F, a+b
buffer.time = 3

[Command]
name = "FF_a"
command = F, F, a
buffer.time = 3

[Command]
name = "FF_b"
command = F, F, b
buffer.time = 3

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10
buffer.time = 2

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10
buffer.time = 2

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1
buffer.time = 3

[Command]
name = "b"
command = b
time = 1
buffer.time = 3

[Command]
name = "c"
command = c
time = 1
buffer.time = 3

[Command]
name = "x"
command = x
time = 1
buffer.time = 3

[Command]
name = "y"
command = y
time = 1
buffer.time = 3

[Command]
name = "z"
command = z
time = 1
buffer.time = 3

[Command]
name = "start"
command = s
time = 1
;buffer.time = 3

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdforward";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdbackward";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "hold_x";Required (do not remove)
command = /x
time = 1

[Command]
name = "hold_a";Required (do not remove)
command = /a
time = 1
;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
[State -1, DC]
type = ChangeState
value = 3050
triggerall = var(59)
triggerall = numhelper(3005) != 1
triggerall = power >= 2000
triggerall = AILevel>2
triggerall = statetype != A
triggerall = p2bodydist x <= 60
triggerall = p2bodydist y >= -30
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = p2movetype != H
triggerall = enemynear,stateno != [1120,1122]
triggerall = enemynear,stateno != 5120
triggerall = enemynear,prevstateno != 5120
trigger1 = AILevel >= 3 && AILevel <= 5 && random<var(50)*1.0 || AILevel >= 6 && random<var(50)*2.0
trigger1 = ctrl

[State -1, SRS]
type = ChangeState
value = 3000
triggerall = var(59)
triggerall = numhelper(3005) != 1
triggerall = power >= 1000
triggerall = AILevel>2
triggerall = statetype != A
triggerall = p2bodydist x <= 60
triggerall = p2bodydist y >= -80
triggerall = p2statetype != L
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.02
trigger2 = stateno = 400
trigger2 = movehit
trigger2 = var(0) && var(3) && var(4)
trigger2 = random<var(50)*0.5
trigger3 = stateno = 230
trigger3 = numtarget(230)
trigger3 = random<var(50)*0.5
trigger3 = var(0) && var(3) && var(4)
trigger4 = stateno = 1700
trigger4 = movehit
trigger4 = time >= 10 || p2bodydist x <= 20
trigger4 = random<var(50)*0.5
trigger4 = var(0) && var(3) && var(4)
trigger5 = ctrl || stateno = 100 || stateno = 101
trigger5 = enemynear,movetype = A
trigger5 = enemynear,time <= 6
trigger5 = random<var(50)*0.2
trigger5 = AILevel >= 6

[State -1, AI Jump]
type = ChangeState
value = 40
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl
triggerall = stateno != 40
trigger1 = enemynear, movetype = A && p2bodydist x < 160 && enemynear, hitdefattr = SC, AT
trigger1 = AILevel >= 4
trigger1 = random<var(50)*2.0
trigger2 = numtarget(1000)
trigger2 = random<var(50)*2.0
trigger2 = enemynear,statetype = A
trigger2 = enemynear,movetype = H
trigger2 = AILevel > 3

[State -1, AI Guard Counter Attack]
type = ChangeState
value = 160
triggerall = var(59)
triggerall = var(51) = 0
triggerall = numhelper(7050) != 1
triggerall = AILevel > 3
triggerall = statetype != A
triggerall = stateno = [150,156]
triggerall = power >= 1000
triggerall = p2bodydist x <= 57
triggerall = p2bodydist Y >= -68
trigger1 = AILevel = [4,5]
trigger1 = random<var(50)*0.2
trigger2 = AILevel >= 6
trigger2 = ((Life*100)/LifeMax) < ((enemynear,Life*100)/enemynear,LifeMax)
trigger2 = random<var(50)*0.5
trigger3 = AILevel >= 6
trigger3 = enemynear,life <= 106
trigger3 = random<var(50)*1.0
trigger4 = AILevel >= 6
trigger4 = ((Life*100)/LifeMax) > ((enemynear,Life*100)/enemynear,LifeMax)
trigger4 = random<var(50)*0.2

;AI Run Fwd
[State -1, AI stumble really fast to the enemy]
type = ChangeState
value = 100
Triggerall=!Inguarddist
triggerall = var(59)
triggerall = AILevel >= 3
triggerall = statetype != A
triggerall = ctrl
triggerall = stateno != [100,101]
triggerall = p2movetype != A
triggerall = enemynear, numproj = 0
trigger1 = p2bodydist x >= 50
trigger1 = random<var(50)*0.1
trigger2 = p2statetype = L && p2bodydist x >= 50
trigger2 = random<var(50)*1.0

[State -1, AI Standing dodge]
type = ChangeState
value = 250
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype != A
triggerall = ctrl || stateno = [100,101]
triggerall = p2movetype != H
trigger1 = Random < (12 * (var(59) ** 2 / 64.0))
trigger1 = inguarddist
trigger1 = var(59) >= 3

[State -1, AI Fwd dodge]
type = ChangeState
value = 260
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype != A
triggerall = ctrl || stateno = [100,101]
triggerall = p2movetype != H
trigger1 = Random < (12 * (var(59) ** 2 / 64.0))
trigger1 = inguarddist
trigger1 = var(59) >= 3
trigger2 = p2bodydist X >= 100 && Random < (3 * (var(59) ** 2 / 64.0))

[State -1, AI Backwards dodge]
type = ChangeState
value = 261
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype != A
triggerall = ctrl || stateno = [100,101]
triggerall = p2movetype != H
trigger1 = Random < (12 * (var(59) ** 2 / 64.0))
trigger1 = inguarddist
trigger1 = var(59) >= 3

;AI Guarding
[State -1]
type = ChangeState
triggerall = ailevel > 4
triggerall = (roundstate = 2) && (var(59) != 0) 
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 250) && (random <= 799)
value = 130

[State -1]
type = ChangeState
triggerall = ailevel > 4
triggerall = (roundstate = 2) && (var(59) != 0) 
triggerall = (Ctrl) && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist X <= 250) && (random <= 799)
value = 131

[State -1]
type = ChangeState
triggerall = ailevel > 4
triggerall = (roundstate = 2) && (var(59) != 0) 
triggerall = (Ctrl) && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist X <= 250) && (random <= 799)
value = 132

;Stand Light Punch
[State -1, AI Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(59)
triggerall = statetype != A
triggerall = ctrl || stateno = [100,101]
triggerall = p2bodydist x <= 33
triggerall = p2bodydist Y = [-44,88]
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = random<var(50)*1.1

[State -1, AI Crouch kick]
type = ChangeState
value = 400
triggerall = !inguarddist
triggerall = var(59)
triggerall = !var(0)
triggerall = statetype != A
triggerall = p2bodydist x <= 72
triggerall = p2bodydist Y >= -32
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 101
trigger1 = random<var(50)*0.2
trigger1 = AILevel <= 5
trigger2 = ctrl || stateno = 101
trigger2 = random<var(50)*0.3
trigger2 = enemynear,statetype != C
trigger2 = AILevel > 5

[State -1, AI jump Light Punch]
type = ChangeState
value = 600
triggerall = !inguarddist
triggerall = var(59)
triggerall = statetype = A
triggerall = p2bodydist x <= 33 || vel x > 0 && p2bodydist x <= 60
triggerall = p2bodydist Y = [-20,60]
triggerall = p2statetype != L
triggerall = random<var(50)*1.1
triggerall = enemynear,stateno != 5120
trigger1 = ctrl

;AI Throw
[State -1, AI throw them]
type = ChangeState
value = 800
triggerall = var(59)
triggerall = statetype != A
triggerall = ctrl
triggerall = p2statetype != L
triggerall = enemynear,stateno != [1120,1122]
triggerall = enemynear,stateno != 5120
triggerall = enemynear,prevstateno != 5120
trigger1 = p2bodydist x <= 10
trigger1 = p2movetype != H
trigger1 = p2statetype != A
trigger1 = random<var(50)*0.5
trigger2 = enemynear, stateno >= 120 && enemynear, stateno <= 155 && p2bodydist x <= 24
trigger2 = p2statetype != A
trigger2 = p2movetype != H
trigger2 = random<var(50)*1.0
trigger2 = AILevel >= 6

[State -1, ]
type = ChangeState
value = 1000
triggerall = var(59)
triggerall = AILevel>1
triggerall = statetype != A
triggerall = p2bodydist x <= 50
triggerall = p2bodydist Y >= -40
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.2 || enemynear,statetype = A && random<var(50)*0.5
trigger1 = !var(3) || var(1) && var(0) && var(4)
trigger1 = p2bodydist x > 10
trigger2 = stateno = 400
trigger2 = movehit
trigger2 = random<var(50)*2.0
trigger2 = !var(3) || var(1) && var(0) && var(4)
trigger3 = stateno = 230
trigger3 = numtarget(230)
trigger3 = random<var(50)*2.0
trigger3 = !var(3) || var(1) && var(0) && var(4)

[State -1, ]
type = ChangeState
value = 1004
triggerall = var(59)
triggerall = AILevel>1
triggerall = statetype = A
triggerall = p2bodydist x <= 70
triggerall = p2bodydist Y >= -68
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.2 || enemynear,statetype = A && random<var(50)*0.5
trigger1 = !var(3) || var(1) && var(0) && var(4)
trigger1 = p2bodydist x > 33
trigger2 = stateno = 600
trigger2 = movehit
trigger2 = random<var(50)*2.0
trigger2 = !var(3) || var(1) && var(0) && var(4)

[State -1, ]
type = ChangeState
value = 1500
triggerall = var(59)
triggerall = var(51) = 0
triggerall = numhelper(7050) != 1
triggerall = AILevel>1
triggerall = statetype != A
triggerall = p2bodydist x <= 80
triggerall = p2bodydist Y >= -30
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.2 || enemynear,statetype = A && random<var(50)*0.5
trigger1 = !var(3) || var(1) && var(0) && var(4)
trigger1 = p2bodydist x > 30
trigger2 = stateno = 400
trigger2 = movehit
trigger2 = random<var(50)*2.0
trigger2 = !var(3) || var(1) && var(0) && var(4)
trigger3 = stateno = 230
trigger3 = numtarget(230)
trigger3 = random<var(50)*2.0
trigger3 = !var(3) || var(1) && var(0) && var(4)

[State -1, ]
type = ChangeState
value = 1501
triggerall = var(59)
triggerall = var(51) = 0
triggerall = power >= 250
triggerall = numhelper(7050) != 1
triggerall = AILevel>1
triggerall = statetype = A
triggerall = p2bodydist x <= 80
triggerall = p2bodydist Y >= -60
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.2 || enemynear,statetype = A && random<var(50)*0.5
trigger1 = !var(3) || var(1) && var(0) && var(4)
trigger1 = p2bodydist x > 33
trigger2 = stateno = 600
trigger2 = movehit
trigger2 = random<var(50)*2.0
trigger2 = !var(3) || var(1) && var(0) && var(4)

[State -1, ]
type = ChangeState
value = 1700
triggerall = var(59)
triggerall = AILevel>1
triggerall = statetype != A
triggerall = p2bodydist x <= 40
triggerall = p2bodydist Y >= -50
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.2 || enemynear,statetype = A && random<var(50)*0.5
trigger1 = !var(3) || var(1) && var(0) && var(4)
trigger1 = p2bodydist x > 10
trigger2 = stateno = 400
trigger2 = movehit
trigger2 = random<var(50)*2.0
trigger2 = !var(3) || var(1) && var(0) && var(4)
trigger3 = stateno = 230
trigger3 = numtarget(230)
trigger3 = random<var(50)*2.0
trigger3 = !var(3) || var(1) && var(0) && var(4)

[State -1, ]
type = ChangeState
value = 1600
triggerall = var(59)
triggerall = AILevel>1
triggerall = statetype != A
triggerall = p2bodydist x <= 20
triggerall = p2bodydist Y >= -30
triggerall = p2statetype != L
triggerall = enemynear,stateno != 5120
trigger1 = ctrl || stateno = 100 || stateno = 101
trigger1 = random<var(50)*0.2 || enemynear,statetype = A && random<var(50)*0.5
trigger1 = !var(3) || var(1) && var(0) && var(4)
trigger1 = p2bodydist x > 10
trigger2 = stateno = 400
trigger2 = movehit
trigger2 = random<var(50)*2.0
trigger2 = !var(3) || var(1) && var(0) && var(4)
trigger3 = stateno = 230
trigger3 = numtarget(230)
trigger3 = random<var(50)*2.0
trigger3 = !var(3) || var(1) && var(0) && var(4)
;---------------------------------------------------------------------------
[State -1, SP]
type = ChangeState
value = 3050
triggerall = !var(59)
triggerall = command = "ID"
triggerall = numhelper(3005) != 1
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 230
trigger2 = movecontact
trigger3 = stateno = 400 
trigger3 = movecontact
trigger4 = stateno = 1700
trigger4 = movecontact
trigger5 = stateno = 1600
trigger5 = movecontact

[State -1, SP]
type = changestate
value = 3010
triggerall = NumHelper(3015) <= 3
triggerall = !var(59)
triggerall = command = "TS"
;triggerall = numhelper(3005) != 1
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 230
trigger2 = movecontact
trigger3 = stateno = 400 
trigger3 = movecontact
trigger4 = stateno = 1700
trigger4 = movecontact
trigger5 = stateno = 1600
trigger5 = movecontact

[State -1, SP]
type = ChangeState
value = 3000
triggerall = !var(59)
triggerall = command = "SP"
triggerall = numhelper(3005) != 1
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 230
trigger2 = movecontact
trigger3 = stateno = 400 
trigger3 = movecontact
trigger4 = stateno = 1700
trigger4 = movecontact
trigger5 = stateno = 1600
trigger5 = movecontact
;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) || (stateno = 230) || (stateno = 400)
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1

[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(2) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = [600,610])
trigger2 = movecontact
var(2) = 2

;===========================================================================
[State -1, Ice Spike]
type = changestate
value = 1700
triggerall = !var(59)
triggerall = command = "upper_x"
trigger1 = var(1)

[State -1, Ice Spike]
type = changestate
value = 1600
triggerall = !var(59)
triggerall = command = "QCF_x"
trigger1 = var(1)
trigger2 = stateno = 1700
trigger2 = movehit

[State -1, Ice Crush]
type = changestate
value = 1000
triggerall = !var(59)
triggerall = command = "QCB_x"
trigger1 = var(1)
trigger2 = stateno = 1700
trigger2 = movehit

[State -1, Ice Crush]
type = changestate
value = 1004
triggerall = !var(59)
triggerall = command = "QCB_x"
trigger1 = var(2)

[State -1, FREEZE]
type = changestate
value = 1500
triggerall = var(51) = 0
triggerall = numhelper(7050) != 1
triggerall = !var(59)
triggerall = command = "QCF_a"
trigger1 = var(1)

[State -1, FREEZE]
type = changestate
value = 1501
triggerall = var(51) = 0
triggerall = numhelper(7050) != 1
triggerall = !var(59)
triggerall = command = "QCF_a"
trigger1 = var(2)

[State -1, Dodge]; Don't ask why this thing is here
type = ChangeState
value = 650
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holdup"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Dodge]; Don't ask why this thing is here
type = ChangeState
value = 650
triggerall = !var(59)
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Guard Counter Attack]
type = ChangeState
value = 160
triggerall = !var(59)
triggerall = var(51) = 0
triggerall = numhelper(7050) != 1
triggerall = command = "b"
triggerall = statetype != A
trigger1 = stateno = [150,156]
trigger1 = power >= 1000
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Run Back]
type = changestate
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Throw]
type = changestate
value = 801
triggerall = !var(59)
triggerall = command = "holdbackward"
triggerall = command = "z"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Throw]
type = changestate
value = 800
triggerall = !var(59)
triggerall = command = "holdforward"
triggerall = command = "z"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Throw]
type = changestate
value = 800
triggerall = !var(59)
triggerall = command != "holdforward"
triggerall = command != "holdbackward"
triggerall = command = "z"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------

[State -1, Roll Forward]
type = ChangeState
value = 260
triggerall = !var(59)
triggerall = command = "y"
triggerall = RoundState = 2 && StateType != A
trigger1 = (ctrl || (StateNo = [100,101])) && command = "holdforward"

[State -1, Roll Backward]
type = ChangeState
value = 261
triggerall = !var(59)
triggerall = command = "y"
triggerall = RoundState = 2 && StateType != A
trigger1 = (ctrl || (StateNo = [100,101])) && command = "holdbackward"

[State -1, Dodge]
type = ChangeState
value = 250
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

[State -1, Dodge]
type = ChangeState
value = 250
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

[State -1, Attack]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl || stateno = 100 || stateno = 101; || stateno = 1012

[State -1, Attack]
type = ChangeState
value = 210
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl || stateno = 100 || stateno = 101; || stateno = 1012

[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C || stateno = 101
trigger1 = ctrl || stateno = 101

[State -1, Crouching Light Punch]
type = ChangeState
value = 410
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C || stateno = 101
trigger1 = ctrl || stateno = 101

[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = !var(59)
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = time >= 22

[State -1, Jump Light Punch]
type = ChangeState
value = 610
triggerall = !var(59)
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
;===========================================================================
;---------------------------------------------------------------------------
